classification
Title: pkgutil.iter_modules and walk_packages should return a namedtuple
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Ramchandra Apte, brett.cannon, eric.snow, ezio.melotti, ncoghlan, python-dev
Priority: normal Keywords: patch

Created on 2013-02-15 13:40 by Ramchandra Apte, last changed 2016-09-08 01:39 by eric.snow. This issue is now closed.

Files
File name Uploaded Description Edit
issue.patch Ramchandra Apte, 2013-02-16 14:57 review
issue.patch Ramchandra Apte, 2013-02-16 15:10 review
Messages (7)
msg182143 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2013-02-15 13:40
Will attach a patch soon.
msg182223 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2013-02-16 14:57
Attached is a patch.
msg182225 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-02-16 15:01
Patch needs tests.
msg182227 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2013-02-16 15:10
I forget about that. Attached is a patch with tests.
msg182276 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2013-02-17 15:52
Please review.
msg274944 - (view) Author: Roundup Robot (python-dev) Date: 2016-09-08 01:38
New changeset 4f023e60564b by Eric Snow in branch 'default':
Issue #17211: Yield a namedtuple in pkgutil.
https://hg.python.org/cpython/rev/4f023e60564b
msg274945 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2016-09-08 01:39
I've applied the patch with a couple small changes.  Thanks for the help!
History
Date User Action Args
2016-09-08 01:39:20eric.snowsetstatus: open -> closed

versions: + Python 3.6, - Python 3.4
nosy: + eric.snow

messages: + msg274945
resolution: fixed
stage: resolved
2016-09-08 01:38:24python-devsetnosy: + python-dev
messages: + msg274944
2013-02-17 15:52:37Ramchandra Aptesetmessages: + msg182276
2013-02-16 15:10:32Ramchandra Aptesetfiles: + issue.patch

messages: + msg182227
2013-02-16 15:01:27ezio.melottisetnosy: + ezio.melotti
messages: + msg182225
2013-02-16 14:57:05Ramchandra Aptesetfiles: + issue.patch
keywords: + patch
messages: + msg182223
2013-02-15 14:54:39pitrousetnosy: + brett.cannon, ncoghlan
2013-02-15 13:56:33r.david.murraysetversions: - Python 3.3
2013-02-15 13:40:10Ramchandra Aptecreate